Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor
Class ResponseMessageProcessorAdapter

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.AbstractResponseMessageProcessor
              org.mule.processor.ResponseMessageProcessorAdapter

All Implemented Interfaces:
  InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class ResponseMessageProcessorAdapter

extends AbstractResponseMessageProcessor

Field Summary
`protected MessageProcessor` | `responseProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next`

Constructor Summary
`ResponseMessageProcessorAdapter()`
`ResponseMessageProcessorAdapter(MessageProcessor responseProcessor)`

Method Summary
`protected MuleEvent` | `processResponse(MuleEvent event)`
`void` | `setProcessor(MessageProcessor processor)`

Methods inherited from class org.mule.processor.AbstractResponseMessageProcessor
`process`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### responseProcessor

    protected MessageProcessor responseProcessor

Constructor Detail

### ResponseMessageProcessorAdapter

    public ResponseMessageProcessorAdapter()

### ResponseMessageProcessorAdapter

    public ResponseMessageProcessorAdapter(MessageProcessor responseProcessor)

Method Detail

### setProcessor

    public void setProcessor(MessageProcessor processor)

### processResponse

    protected MuleEvent processResponse(MuleEvent event)
                                 throws MuleException

  Specified by:
    `processResponse` in class `AbstractResponseMessageProcessor`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.